Package com.plannaplan

# Class Swagger2Config

java.lang.Object
org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport
com.plannaplan.Swagger2Config

All Implemented Interfaces:
  `org.springframework.beans.factory.Aware`, `org.springframework.context.ApplicationContextAware`, `org.springframework.web.context.ServletContextAware`

    @Configuration
    @EnableSwagger2
    public class Swagger2Config
    extends org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport

Config class of Swagger to generate rest api documentation

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`Swagger2Config()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `addResourceHandlers​(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)` |
`springfox.documentation.spring.web.plugins.Docket` | `createRestApi()` |

### Methods inherited from class org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport

`addArgumentResolvers, addCorsMappings, addDefaultHandlerExceptionResolvers, addDefaultHttpMessageConverters, addFormatters, addInterceptors, addReturnValueHandlers, addViewControllers, beanNameHandlerMapping, configureAsyncSupport, configureContentNegotiation, configureDefaultServletHandling, configureHandlerExceptionResolvers, configureMessageConverters, configurePathMatch, configureViewResolvers, createExceptionHandlerExceptionResolver, createRequestMappingHandlerAdapter, createRequestMappingHandlerMapping, defaultServletHandlerMapping, extendHandlerExceptionResolvers, extendMessageConverters, getApplicationContext, getArgumentResolvers, getConfigurableWebBindingInitializer, getCorsConfigurations, getDefaultMediaTypes, getInterceptors, getMessageCodesResolver, getMessageConverters, getPathMatchConfigurer, getReturnValueHandlers, getServletContext, getValidator, handlerExceptionResolver, handlerFunctionAdapter, httpRequestHandlerAdapter, mvcContentNegotiationManager, mvcConversionService, mvcHandlerMappingIntrospector, mvcPathMatcher, mvcResourceUrlProvider, mvcUriComponentsContributor, mvcUrlPathHelper, mvcValidator, mvcViewResolver, requestMappingHandlerAdapter, requestMappingHandlerMapping, resourceHandlerMapping, routerFunctionMapping, setApplicationContext, setServletContext, simpleControllerHandlerAdapter, viewControllerHandlerMapping`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### Swagger2Config

public Swagger2Config()

## Method Details

### createRestApi

@Bean public springfox.documentation.spring.web.plugins.Docket createRestApi()

### addResourceHandlers

public void addResourceHandlers​(org.springframework.web.servlet.config.annotation.ResourceHandlerRegistry registry)

Overrides:
  `addResourceHandlers` in class `org.springframework.web.servlet.config.annotation.WebMvcConfigurationSupport`